at.chipkarte.client.servicemanager.soap

## Class Service

- Object
- - at.chipkarte.client.servicemanager.soap.Service

-     public class Service
      extends Object

  Enthält die Informationen zu einem Service des Ordinationsclient.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Service()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()`
    `String` | `getEndPointURL()`
    `String` | `getName()`
    `String` | `getType()`
    `String` | `getVersion()`
    `void` | `setDescription(String description)`
    `void` | `setEndPointURL(String endPointURL)`
    `void` | `setName(String name)`
    `void` | `setType(String type)`
    `void` | `setVersion(String version)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Service

          public Service()

  - ### Method Detail

    - #### getEndPointURL

          public String getEndPointURL()

      Returns:
        URL des Endpoints für diesen Service
        Format: maximal 100-stellig

    - #### getName

          public String getName()

      Returns:
        Name des Service (mögliche Werte : `ServiceName`)
        Format: maximal 10-stellig

    - #### getDescription

          public String getDescription()

      Returns:
        Beschreibung des Service
        Format: maximal 150-stellig

    - #### getVersion

          public String getVersion()

      Returns:
        Version des Service
        Format: maximal 10-stellig

    - #### getType

          public String getType()

      Returns:
        Gibt an, ob es sich um ein SOAP- oder um ein REST-Service handelt (mögliche Werte: `ServiceType`)
        Format: maximal 25-stellig

    - #### setDescription

          public void setDescription(String description)

    - #### setEndPointURL

          public void setEndPointURL(String endPointURL)

    - #### setName

          public void setName(String name)

    - #### setType

          public void setType(String type)

    - #### setVersion

          public void setVersion(String version)